> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve deploy config



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /servers/{server_id}/deploy_config
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /servers/{server_id}/deploy_config:
    get:
      tags:
        - Servers
      summary: Retrieve deploy config
      operationId: get-server-deploy-config
      parameters:
        - name: server_id
          in: path
          description: The Server ID
          required: true
          examples:
            Success:
              value: sv_pRMLydp0dQKr1
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: sv_pRMLydp0dQKr1
                      type: deploy_config
                      attributes:
                        ssh_keys:
                          - ssh_0g1mbDwBqLv5B
                        user_data: ud_0g1mbDwBqLv5B
                        raid: raid-0
                        operating_system: debian_10
                        hostname: Asoka
                        ipxe_url: null
                        ipxe: null
                        partitions:
                          - path: /
                            size_in_gb: 300
                            filesystem_type: ext4
                    meta: {}
              schema:
                $ref: '#/components/schemas/deploy_config'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.servers.get_deploy_config(server_id="sv_pRMLydp0dQKr1")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Servers.GetDeployConfig(ctx, \"sv_pRMLydp0dQKr1\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeployConfig != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.servers.getDeployConfig({
                serverId: "sv_pRMLydp0dQKr1",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    deploy_config:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            attributes:
              type: object
              properties:
                operating_system:
                  type: string
                hostname:
                  type: string
                raid:
                  type: string
                user_data:
                  type: string
                ssh_keys:
                  type: array
                  items:
                    type: string
                partitions:
                  type: array
                  nullable: true
                  items:
                    type: object
                    properties:
                      path:
                        type: string
                      size_in_gb:
                        type: integer
                      filesystem_type:
                        type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````